Summary: SSL/TLS certificate expiration checker
Name: ssl-cert-check
Version: 4.14
Release: 3%{?dist}
Group: System Environment/Base
URL: https://github.com/Matty9191/ssl-cert-check
License: GPL-2.0-or-later
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: %{url}/raw/master/ssl-cert-check
Patch0: ssl-cert-check-4.14-invoca.patch
Patch1: ssl-cert-check-4.14-zabbix.patch
Patch2: ssl-cert-check-4.14-mute_request.patch
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: bash, which, /bin/date, gawk, grep, openssl
Requires: mktemp, /usr/bin/printf, sed, mailx, findutils

%description
%{name} checks to see if a digital certificate in X.509 format for
SSL/TLS is going to or has expired. %{name} can be run in interactive
and batch mode, and provides facilities to alarm if a certificate is
about to expire.

%prep
%{__install} -d %{_builddir}/%{name}-%{version}
cd %{_builddir}/%{name}-%{version}
%{__install} %{SOURCE0} .
%patch0 -p0 -b .invoca
%patch1 -p0 -b .zabbix
%patch2 -p0 -b .mute_request
cd -

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%{__install} -d %{buildroot}%{_bindir}

%{__install} -m 0755 %{name}-%{version}/%{name} %{buildroot}%{_bindir}/

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%attr(0755,root,root) %{_bindir}/%{name}

%changelog
* Tue Jun 27 2023 Simon Matter <simon.matter@invoca.ch> 4.14-3
- add mute_request patch

* Fri Mar 24 2023 Simon Matter <simon.matter@invoca.ch> 4.14-2
- upgrade to latest 4.14

* Tue Apr 21 2020 Simon Matter <simon.matter@invoca.ch> 4.14-1
- upgrade to real 4.14

* Wed Mar 27 2019 Simon Matter <simon.matter@invoca.ch> 4.10-4
- split and fix patches

* Tue Mar 26 2019 Simon Matter <simon.matter@invoca.ch> 4.10-1
- upgrade to real 4.10

* Tue Oct 17 2017 Simon Matter <simon.matter@invoca.ch> 3.29-1
- upgrade to real 3.29

* Wed Sep 30 2015 Simon Matter <simon.matter@invoca.ch> 3.28-1
- upgrade to real 3.28

* Tue Jul 30 2013 Simon Matter <simon.matter@invoca.ch> 3.27-1
- upgrade to real 3.27

* Mon May 21 2012 Simon Matter <simon.matter@invoca.ch> 3.26-1
- upgrade to real 3.26

* Mon Oct 24 2011 Simon Matter <simon.matter@invoca.ch> 3.23-1
- upgrade to real 3.23

* Fri Apr 15 2011 Simon Matter <simon.matter@invoca.ch> 3.18-2
- mass rebuild

* Tue Nov 02 2010 Simon Matter <simon.matter@invoca.ch> 3.18-1
- upgrade to real 3.18

* Fri Dec 12 2008 Simon Matter <simon.matter@invoca.ch> 3.14-2
- upgrade to real 3.14

* Wed May 21 2008 Simon Matter <simon.matter@invoca.ch> 3.14-1
- upgrade to 3.14

* Wed Dec 19 2007 Simon Matter <simon.matter@invoca.ch> 3.12-1
- upgrade to 3.12

* Fri Aug 10 2007 Simon Matter <simon.matter@invoca.ch> 3.11-1
- upgrade to 3.11

* Mon May 14 2007 Simon Matter <simon.matter@invoca.ch> 3.10-1
- upgrade to 3.10

* Fri May 11 2007 Simon Matter <simon.matter@invoca.ch> 3.9-1
- initial build
